Subject: Re: bug#25734: Python - fix imenu regexp for async functions

From: [email-masked]
Date: Tue, 14 Feb 2017 20:33:10 -0500

Michael Kleehammer <[email-masked]> writes:
>
> The patch below is a minor modification for a regular expression. The
> old one simply took the 2nd token on the line to be the name; the new
> one skips the optional “async” keyword.
>
> Please note the current imenu is unusable in a file with a lot of
> async functions - it would be nice if this rolled out with 25.2 if
> possible, which I believe adds the rest of async support.

There was a patch for a similar problem in #24820, but when looking at
the code touched there, it seems that the sub-groups of
python-nav-beginning-of-defun-regexp are not used
(python-imenu--put-parent uses "group 0").  Did I miss something?

I applied that patch to master (i.e., what will be 26.1), by the way.